import AppLayout from '@/components/layout/Index.vue'

const routes = [
  {
    path: '/exam',
    component: AppLayout,
    meta: { title: '考试中心' },
    children: [
      {
        path: '',
        redirect: '/exam/list'
      },
      {
        path: 'list',
        component: () => import('./views/List.vue'),
        meta: { title: '我的考试' }
      },
      {
        path: 'newExam',
        component: () => import('./views/NewExam.vue'),
        meta: { title: '新建考试' }
      },
      {
        path: 'examDetail',
        component: () => import('./views/Detail.vue'),
        meta: { title: '考试详情' }
      }
    ]
  }
]

export { routes }
