import AppLayout from '@/components/layout/Index.vue'

const routes = [
  {
    path: '/paper',
    component: AppLayout,
    meta: { title: '试卷中心' },
    children: [
      {
        path: '',
        redirect: '/paper/list'
      },
      {
        path: 'list',
        component: () => import('./views/List.vue'),
        meta: { title: '我的试卷库' }
      },
      {
        path: 'newPaper',
        name: 'newPaper',
        component: () => import('./views/NewPaper.vue'),
        meta: { title: '新建试卷' }
      },
      {
        path: 'newPapers',
        name: 'newPaper',
        component: () => import('./views/NewPaper.vue'),
        meta: { title: '编辑试卷' }
      },
      {
        path: 'detail',
        name: 'detail',
        component: () => import('./views/Detail.vue'),
        meta: { title: '试卷详情' }
      }
    ]
  }
]

export { routes }
